net.minecraft.network.play.server

## Class S0FPacketSpawnMob

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S0FPacketSpawnMob

-     public class S0FPacketSpawnMob
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `S0FPacketSpawnMob()`
    `S0FPacketSpawnMob(EntityLivingBase p_i45192_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `func_149023_f()`
    `int` | `func_149024_d()`
    `int` | `func_149025_e()`
    `int` | `func_149026_i()`
    `java.util.List` | `func_149027_c()`
    `byte` | `func_149028_l()`
    `int` | `func_149029_h()`
    `byte` | `func_149030_m()`
    `int` | `func_149031_k()`
    `byte` | `func_149032_n()`
    `int` | `func_149033_j()`
    `int` | `func_149034_g()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayClient p_149035_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `java.lang.String` | `serialize()`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S0FPacketSpawnMob

          public S0FPacketSpawnMob()

    - #### S0FPacketSpawnMob

          public S0FPacketSpawnMob(EntityLivingBase p_i45192_1_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayClient p_149035_1_)

    - #### func_149027_c

          public java.util.List func_149027_c()

    - #### serialize

          public java.lang.String serialize()

      Overrides:
        `serialize` in class `Packet`

    - #### func_149024_d

          public int func_149024_d()

    - #### func_149025_e

          public int func_149025_e()

    - #### func_149023_f

          public int func_149023_f()

    - #### func_149034_g

          public int func_149034_g()

    - #### func_149029_h

          public int func_149029_h()

    - #### func_149026_i

          public int func_149026_i()

    - #### func_149033_j

          public int func_149033_j()

    - #### func_149031_k

          public int func_149031_k()

    - #### func_149028_l

          public byte func_149028_l()

    - #### func_149030_m

          public byte func_149030_m()

    - #### func_149032_n

          public byte func_149032_n()

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`